<?php
if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '<div class="sidebarcolumn">',
        'after_widget' => '</div>',
        'before_title' => '<h2 class="widgettitle">',
        'after_title' => '</h2>',
    ));

function get_thumbnail_url() {

	global $post, $posts;

	$is_thumb = get_post_custom_values("thumbnail");
	if (isset($is_thumb[0])) {
		$thumb_url = "wp-content/images/thumbs/".$is_thumb[0];
		return $thumb_url;
	}
	
	$images =& get_children( 'post_parent='.$post->ID.'&post_type=attachment&post_mime_type=image' );
    // If any let's take the first one
	if (is_array($images)) {
			$image = array_shift($images);
			$gallery_url = wp_get_attachment_url( $image->ID);
			return $gallery_url;

	}
	
	return '/wp-content/themes/revolt_basic/images/thumbnail_default.jpg';
	

} 

?>